<div id="shopregistration">
    <div class="text-center pt-5">
        <h3>Crea l'account di amministrazione</h3>
    </div>
    <b-container class="mt-4 py-4 jumbotron bg-light shadow">
        <b-row cols="1" cols-sm="2" cols-md="2" cols-lg="2" cols-xl="2">
            <b-col>
                <b-form-group invalid-feedback="Fornire una mail valida" class="my-2">
                    <b-form-input autocomplete="off"
                                  v-model.trim="email"
                                  type="email"
                                  :state="this.$v.email.$model === null ? null : !this.$v.email.$invalid"
                                  placeholder="Inserisci la tua mail"/>
                </b-form-group>
                <b-form-group invalid-feedback="Le due mail devono corrispondere" class="my-2">
                    <b-form-input v-model.trim="confirmationEmail"
                                  autocomplete="off"
                                  type="email"
                                  placeholder="Conferma la tua mail"
                                  :state="this.$v.confirmationEmail.$model === null ? null : !this.$v.confirmationEmail.$invalid"/>
                </b-form-group>
            </b-col>
            <b-col>
                <b-form-group invalid-feedback="Deve contenere almeno 6 caratteri" class="my-2">
                    <b-form-input autocomplete="off"
                                  v-model.trim="password"
                                  type="password"
                                  @input="this.$v.password.$touch()"
                                  :state="this.$v.password.$model === null ? null : !this.$v.password.$invalid"
                                  placeholder="Crea una password"/>
                </b-form-group>
                <b-form-group invalid-feedback="Le due password devono corrispondere" class="my-2">
                    <b-form-input v-model.trim="confirmationPassword"
                                  autocomplete="off"
                                  type="password"
                                  placeholder="Conferma la password"
                                  :state="this.$v.confirmationPassword.$model === null ? null : !this.$v.confirmationPassword.$invalid"/>
                </b-form-group>
            </b-col>
        </b-row>
    </b-container>
    <hr style="width: 90%">
    <div class="text-center pt-4">
        <h3>Aggiungi le informazioni del tuo negozio</h3>
    </div>
    <div class="text-center">
        <h5 class="pt-4">Immagini</h5>
        <vue-upload-multiple-image
            @upload-success="uploadImageSuccess"
            @before-remove="beforeRemove"
            @edit-image="editImage"
            :data-images="this.tempImages"
            idUpload="myIdUpload"
            editUpload="myIdEdit"
            drag-text="Trascina qui un'immagine"
            browse-text="o clicca qui"
            primary-text="copertina"
            mark-is-primary-text="secondaria"
            popup-text=""
            drop-text="Lascia pure qui!"
            class="d-flex justify-content-center mt-3 mb-3"
        ></vue-upload-multiple-image>
        <b-alert variant="primary" class="d-inline-block w-fixed" show>
            Queste immagini saranno visibili nella pagina di presentazione del negozio
        </b-alert>

        <b-container class="pt-4">
            <shop-form v-model="shop" @userInput="userInput" />

            <div class="col-12 w-100 mt-5 mb-2">
                <h5>Informativa privacy ai sensi del Regolamento 679/2016/UE</h5>
                <p class="mx-5">
                    I suoi dati personali saranno trattati esclusivamente per finalità istituzionali nel rispetto del Regolamento 679/2016/UE.
                    Titolare del trattamento è il Comune di Desenzano d/G, che ha nominato Responsabile per la protezione dei dati la soc. LTA srl, email di contatto
                    <a href="mailto:dpo@comune.desenzano.brescia.it">dpo@comune.desenzano.brescia.it</a>.
                    L’interessato può esercitare i diritti previsti dagli articoli 15, 16, 17, 18, 20, 21 e 22 del Regolamento citato.
                    L’informativa completa è disponibile sul sito istituzionale
                    <a href="http://www.comune.desenzano.brescia" target="_blank">www.comune.desenzano.brescia</a>.
                </p>
            </div>

            <b-button variant="success"
                      @click="createShop"
                      :disabled="buttonDisabled"
                      style="height: 4rem"
                      :class="{ 'btn-disable': buttonDisabled }"
                      class="mb-5 shadowOnHover create-shop-button shadow">
                Crea
            </b-button>
        </b-container>
    </div>
    <b-modal id="error-modal" title="Attenzione!">
        <span style="color: red">{{ error }}</span>
    </b-modal>
</div>
